Package com.sap.ai.sdk.core.model

# Class MetaCapabilities

java.lang.Object
com.sap.ai.sdk.core.model.MetaCapabilities

public class MetaCapabilities extends Object
MetaCapabilities

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `MetaCapabilities.Builder`
  Builder helper class.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `MetaCapabilities()`
  Default constructor for MetaCapabilities.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MetaCapabilities`
  `aiApi(MetaAiApi aiApi)`
  Set the aiApi of this `MetaCapabilities` instance and return the same instance.
  `static MetaCapabilities.Builder`
  `create()`
  Create a type-safe, fluent-api builder object to construct a new `MetaCapabilities` instance with all required arguments.
  `MetaCapabilities`
  `description(String description)`
  Set the description of this `MetaCapabilities` instance and return the same instance.
  `boolean`
  `equals(Object o)`
  `MetaCapabilities`
  `extensions(MetaExtensions extensions)`
  Set the extensions of this `MetaCapabilities` instance and return the same instance.
  `MetaAiApi`
  `getAiApi()`
  Get aiApi
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `MetaCapabilities`.
  `String`
  `getDescription()`
  Get description
  `MetaExtensions`
  `getExtensions()`
  Get extensions
  `String`
  `getRuntimeApiVersion()`
  Get runtimeApiVersion
  `String`
  `getRuntimeIdentifier()`
  The name of the runtime
  `int`
  `hashCode()`
  `MetaCapabilities`
  `runtimeApiVersion(String runtimeApiVersion)`
  Set the runtimeApiVersion of this `MetaCapabilities` instance and return the same instance.
  `MetaCapabilities`
  `runtimeIdentifier(String runtimeIdentifier)`
  Set the runtimeIdentifier of this `MetaCapabilities` instance and return the same instance.
  `void`
  `setAiApi(MetaAiApi aiApi)`
  Set the aiApi of this `MetaCapabilities` instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `MetaCapabilities` instance.
  `void`
  `setDescription(String description)`
  Set the description of this `MetaCapabilities` instance.
  `void`
  `setExtensions(MetaExtensions extensions)`
  Set the extensions of this `MetaCapabilities` instance.
  `void`
  `setRuntimeApiVersion(String runtimeApiVersion)`
  Set the runtimeApiVersion of this `MetaCapabilities` instance.
  `void`
  `setRuntimeIdentifier(String runtimeIdentifier)`
  Set the runtimeIdentifier of this `MetaCapabilities` instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `MetaCapabilities` instance including unrecognized properties.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MetaCapabilities

    protected MetaCapabilities()
    Default constructor for MetaCapabilities.

- ## Method Details

  - ### runtimeIdentifier

    @Nonnull public MetaCapabilities runtimeIdentifier(@Nullable String runtimeIdentifier)
    Set the runtimeIdentifier of this `MetaCapabilities` instance and return the same instance.
    Parameters:
      `runtimeIdentifier` - The name of the runtime
    Returns:
      The same instance of this `MetaCapabilities` class

  - ### getRuntimeIdentifier

    @Nonnull public String getRuntimeIdentifier()
    The name of the runtime
    Returns:
      runtimeIdentifier The runtimeIdentifier of this `MetaCapabilities` instance.

  - ### setRuntimeIdentifier

    public void setRuntimeIdentifier(@Nullable String runtimeIdentifier)
    Set the runtimeIdentifier of this `MetaCapabilities` instance.
    Parameters:
      `runtimeIdentifier` - The name of the runtime

  - ### runtimeApiVersion

    @Nonnull public MetaCapabilities runtimeApiVersion(@Nullable String runtimeApiVersion)
    Set the runtimeApiVersion of this `MetaCapabilities` instance and return the same instance.
    Parameters:
      `runtimeApiVersion` - The runtimeApiVersion of this `MetaCapabilities`
    Returns:
      The same instance of this `MetaCapabilities` class

  - ### getRuntimeApiVersion

    @Nonnull public String getRuntimeApiVersion()
    Get runtimeApiVersion
    Returns:
      runtimeApiVersion The runtimeApiVersion of this `MetaCapabilities` instance.

  - ### setRuntimeApiVersion

    public void setRuntimeApiVersion(@Nullable String runtimeApiVersion)
    Set the runtimeApiVersion of this `MetaCapabilities` instance.
    Parameters:
      `runtimeApiVersion` - The runtimeApiVersion of this `MetaCapabilities`

  - ### description

    @Nonnull public MetaCapabilities description(@Nullable String description)
    Set the description of this `MetaCapabilities` instance and return the same instance.
    Parameters:
      `description` - The description of this `MetaCapabilities`
    Returns:
      The same instance of this `MetaCapabilities` class

  - ### getDescription

    @Nonnull public String getDescription()
    Get description
    Returns:
      description The description of this `MetaCapabilities` instance.

  - ### setDescription

    public void setDescription(@Nullable String description)
    Set the description of this `MetaCapabilities` instance.
    Parameters:
      `description` - The description of this `MetaCapabilities`

  - ### aiApi

    @Nonnull public MetaCapabilities aiApi(@Nonnull MetaAiApi aiApi)
    Set the aiApi of this `MetaCapabilities` instance and return the same instance.
    Parameters:
      `aiApi` - The aiApi of this `MetaCapabilities`
    Returns:
      The same instance of this `MetaCapabilities` class

  - ### getAiApi

    @Nonnull public MetaAiApi getAiApi()
    Get aiApi
    Returns:
      aiApi The aiApi of this `MetaCapabilities` instance.

  - ### setAiApi

    public void setAiApi(@Nonnull MetaAiApi aiApi)
    Set the aiApi of this `MetaCapabilities` instance.
    Parameters:
      `aiApi` - The aiApi of this `MetaCapabilities`

  - ### extensions

    @Nonnull public MetaCapabilities extensions(@Nullable MetaExtensions extensions)
    Set the extensions of this `MetaCapabilities` instance and return the same instance.
    Parameters:
      `extensions` - The extensions of this `MetaCapabilities`
    Returns:
      The same instance of this `MetaCapabilities` class

  - ### getExtensions

    @Nonnull public MetaExtensions getExtensions()
    Get extensions
    Returns:
      extensions The extensions of this `MetaCapabilities` instance.

  - ### setExtensions

    public void setExtensions(@Nullable MetaExtensions extensions)
    Set the extensions of this `MetaCapabilities` instance.
    Parameters:
      `extensions` - The extensions of this `MetaCapabilities`

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `MetaCapabilities`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `MetaCapabilities` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `MetaCapabilities` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `MetaCapabilities` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static MetaCapabilities.Builder create()
    Create a type-safe, fluent-api builder object to construct a new `MetaCapabilities` instance with all required arguments.